DATA example2_12;     
DO group=1 TO 3;           /*定义行变量，group表示组别，共有3行*/
DO effect=1 TO 2;          /*定义列变量，effect表示疗效，共有2列*/
INPUT f@@;
OUTPUT;
END;
END;
CARDS;
19	5
18	6
15	9
;
PROC FREQ;                 /*调用freq程序*/
WEIGHT f;                  /*表明输入的f是一个权重值*/
TABLE group*effect/chisq;    
/*table语句列出列联表，chisq选项调用χ2检验结果*/
RUN; 
